package com.jcg.mapper;

import com.jcg.domain.Item;
import com.jcg.domain.Order;
import com.jcg.domain.OrderItem;
import com.jcg.dto.in.CreateItemDto;
import com.jcg.dto.out.ItemDto;
import com.jcg.dto.out.OrderDto;
import com.jcg.dto.out.OrderItemDto;
import java.util.stream.Collectors;

public class ObjectMapper {
    public static Item toItem(CreateItemDto createItemDto) {
        return Item.builder()
                .name(createItemDto.getName())
                .unitPrice(createItemDto.getUnitPrice())
                .build();
    }

    public static ItemDto toItemDto(Item item) {
        return ItemDto.builder()
                .id(item.getId())
                .name(item.getName())
                .unitPrice(item.getUnitPrice())
                .build();
    }

    public static OrderDto toOrderDto(Order order) {
        return OrderDto.builder()
                .id(order.getId())
                .userId(order.getUserId())
                .orderItems(order.getOrderItems().stream()
                        .map(ObjectMapper::toOrderItemDto).collect(Collectors.toList()))
                .build();
    }

    public static OrderItemDto toOrderItemDto(OrderItem orderItem) {
        return OrderItemDto.builder()
                .itemId(orderItem.getItem().getId())
                .amount(orderItem.getAmount())
                .totalPrice(orderItem.getTotalPrice())
                .build();
    }

}
